package main

import (
	"database/sql"
	"errors"
	_ "github.com/mattn/go-sqlite3"
	"log"
	"net/http"
)

type ErrorResponse struct {
	Message string `json:"Error"`
}

var DB *sql.DB

func main() {
	DB = openOrCreateDb("./memos.db")
	defer DB.Close()

	http.HandleFunc("/memos", memosEndpoint)
	http.HandleFunc("/meet", meetEndpoint)
	log.Println("starting server")
	err := http.ListenAndServe(":7000", nil)
	if errors.Is(err, http.ErrServerClosed) {
		log.Println("server closed")
	} else if err != nil {
		log.Fatalf("error starting server: %s\n", err)
	}
}
